Description

At work we use Mac OS X. Microsoft Office for Mac no longer supports DBF exports, and much of our data that we'd like mapped lives in

Excel-compatible files.

I'm currently exporting as CSV using this workaround, but it requires me to create a CSVT file, an annoying extra step. 

http://underdark.wordpress.com/2011/03/07/how-to-specify-data-types-of-csv-columns-for-use-in-qgis/

Is there any way to eliminate this extra step by allowing a user to define the column types at import?

Related issues:

Duplicated by QGIS Application - Feature request # 13038: Add ability to choo... Open 2015-06-26

Duplicates QGIS Application - Feature request # 4212: Data types for csv Open 2011-08-23

History

#1 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-03-09 03:26 AM - Karolina Alexiou

I will work on this. Longs getting casted to floats from csvs has been an inconvenience for a while. Plz somebody with permissions assign this to me,

thanks.

#4 - 2015-03-09 03:37 AM - Matthias Kuhn

Can you add a short description about your plans. Which datatypes exactly do you want to support (Int/Long/Float/Double) and will there be auto-detection

of some kind of these types or what is the workflow?

#5 - 2015-03-09 04:41 AM - Karolina Alexiou

The workflow would be to allow the user to force a data type for 1 or more columns. Basically I am thinking of adding another row to the UI when importing

delimited text layer where the user would be able to select Int/Long/Float/Double/String or Autodetect(default). Right now there is autodetection, but it

doesn't always work right. I could also see if there is some obvious improvement to be done in that.

#6 - 2015-03-09 06:17 AM - Giovanni Manghi

- OS version deleted (1.9)

- Operating System deleted (Mac OS X)

2025-04-26 1/2

http://underdark.wordpress.com/2011/03/07/how-to-specify-data-types-of-csv-columns-for-use-in-qgis/


#7 - 2015-03-09 06:31 AM - Jukka Rahkonen

Perhaps you could use ODS format instead? GDAL and Excel both can read and write the format http://www.gdal.org/drv_ods.html.

#8 - 2015-03-09 06:40 AM - Karolina Alexiou

Not really applicable to us, we just want more control over importing raw text files (unlike the original poster).

#9 - 2015-03-18 11:06 PM - Karolina Alexiou

https://github.com/qgis/QGIS/pull/1957

I made a pull request to QGIS upstream which improves the autodetection by also adding long types.

No work yet on forcing the type from the import menu.

#10 - 2015-12-09 05:38 AM - Médéric RIBREUX

- Category set to Data Provider/Delimited Text 

Hello, bug triage...

the PR has been merged.

One good idea (on the GUI part) would be to try to make the delimited text provider act like LibreOffice Calc csv importer:

    -  there is a QComboBox with the list of each type.

    -  When you select a column, you can use the QComboBox to define the type of the selected column.

We just need a way to display the manually defined type of columns (upper or above the column name), but I am sure it's feasible.

#11 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2018-04-15 11:33 AM - Johannes Kroeger

Ultimately this is a dupe of #4212

#13 - 2018-04-15 01:23 PM - Jürgen Fischer

- Duplicated by Feature request #13038: Add ability to choose field type in CSV plugin provider import added

#14 - 2018-04-15 01:24 PM - Jürgen Fischer

- Duplicates Feature request #4212: Data types for csv added
